KD SOAP API Documentation: KDSoapServerSocket.cpp File Reference

| KD SOAP API Documentation 2.2

Loading...
Searching...
No Matches
Typedefs | Functions | Variables
KDSoapServerSocket.cpp File Reference
`#include "KDSoapServer.h"`
`#include "KDSoapServerAuthInterface.h"`
`#include "KDSoapServerCustomVerbRequestInterface.h"`
`#include "KDSoapServerObjectInterface.h"`
`#include "KDSoapServerRawXMLInterface.h"`
`#include "KDSoapServerSocket_p.h"`
`#include "KDSoapSocketList_p.h"`
`#include <KDSoapClient/KDSoapMessage.h>`
`#include <KDSoapClient/KDSoapMessageReader_p.h>`
`#include <KDSoapClient/KDSoapMessageWriter_p.h>`
`#include <KDSoapClient/KDSoapNamespaceManager.h>`
`#include <QBuffer>`
`#include <QDir>`
`#include <QFile>`
`#include <QFileInfo>`
`#include <QMetaMethod>`
`#include <QThread>`
`#include <QVarLengthArray>`
`#include "moc_KDSoapServerSocket_p.cpp"`
Include dependency graph for KDSoapServerSocket.cpp:

Go to the source code of this file.

## Typedefs
typedef QMap< QByteArray, QByteArray > | HeadersMap

## Functions
static QByteArray | httpResponseHeaders (bool fault, const QByteArray &contentType, int responseDataSize, QObject *serverObject)
static HeadersMap | parseHeaders (const QByteArray &headerData)
static bool | splitHeadersAndData (const QByteArray &request, QByteArray &header, QByteArray &data)
static QByteArray | stripQuotes (const QByteArray &bar)

## Variables
static const char | s_forbidden [] = "HTTP/1.1 403 Forbidden\r\nContent-Length: 0\r\n\r\n"

## Typedef Documentation

## ◆ HeadersMap

typedef QMap<QByteArray, QByteArray> HeadersMap

Definition at line 59 of file KDSoapServerSocket.cpp.

## Function Documentation

## ◆ httpResponseHeaders()

static QByteArray httpResponseHeaders | ( | bool | fault,
|  | const QByteArray & | contentType,
|  | int | responseDataSize,
|  | QObject * | serverObject
| ) |  |
| static

Definition at line 126 of file KDSoapServerSocket.cpp.

References KDSoapServerObjectInterface::additionalHttpResponseHeaderItems(), QByteArray::number(), and QByteArray::reserve().

## ◆ parseHeaders()

static HeadersMap parseHeaders | ( | const QByteArray & | headerData | ) |
| static

Definition at line 60 of file KDSoapServerSocket.cpp.

References QList::at(), QBuffer::atEnd(), QDir::cleanPath(), QList::count(), QString::fromUtf8(), QByteArray::indexOf(), QMap::insert(), QByteArray::left(), QByteArray::mid(), QBuffer::open(), QIODevice::readLine(), QIODevice::ReadOnly, QBuffer::setData(), QByteArray::toLower(), QString::toUtf8(), and QByteArray::trimmed().

## ◆ splitHeadersAndData()

static bool splitHeadersAndData | ( | const QByteArray & | request,
|  | QByteArray & | header,
|  | QByteArray & | data
| ) |  |
| static

Definition at line 106 of file KDSoapServerSocket.cpp.

References QByteArray::indexOf(), QByteArray::left(), and QByteArray::mid().

## ◆ stripQuotes()

static QByteArray stripQuotes | ( | const QByteArray & | bar | ) |
| static

Definition at line 117 of file KDSoapServerSocket.cpp.

References QByteArray::endsWith(), QByteArray::length(), QByteArray::mid(), and QByteArray::startsWith().

## Variable Documentation

## ◆ s_forbidden

const char s_forbidden[] = "HTTP/1.1 403 Forbidden\r\nContent-Length: 0\r\n\r\n"
| static

Definition at line 29 of file KDSoapServerSocket.cpp.

© 2010-2024 Klarälvdalens Datakonsult AB (KDAB)
"The Qt, C++ and OpenGL Experts"
https://www.kdab.com/
https://www.kdab.com/development-resources/qt-tools/kd-soap/
Generated on Sun Jan 7 2024 11:47:36 for KD SOAP API Documentation by doxygen 1.9.8